package com.lanyuanxiaoyao.service.sync.metrics;

import java.io.Serializable;
import java.util.List;

/**
 * 指标类定义
 *
 * @author ZhangJiacheng
 * @date 2022-06-13
 */
public interface Metric extends Serializable {
    void addTag(String key, String value);

    void makePoint(boolean autoPublish, int batch);

    void makePoint();

    List<HttpMetricsRequest> getMetrics();
}
